summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2020-06-28 08:58:57 +0200
committerJeroen Roovers <jer@gentoo.org>2020-06-28 08:59:59 +0200
commit4e7ecac90eb040035abf08ad4f1964893ded0a81 (patch)
treeb67da018f07421a912be0a7e9bf02bc507b93b8b /net-misc/putty
parentdev-python/ipython: Bump to 7.16.1 (diff)
downloadgentoo-4e7ecac90eb040035abf08ad4f1964893ded0a81.tar.gz
gentoo-4e7ecac90eb040035abf08ad4f1964893ded0a81.tar.bz2
gentoo-4e7ecac90eb040035abf08ad4f1964893ded0a81.zip
net-misc/putty: Version 0.74
Package-Manager: Portage-2.3.103, Repoman-2.3.23 Bug: https://bugs.gentoo.org/729860 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'net-misc/putty')
-rw-r--r--net-misc/putty/Manifest1
-rw-r--r--net-misc/putty/putty-0.74.ebuild86
2 files changed, 87 insertions, 0 deletions
diff --git a/net-misc/putty/Manifest b/net-misc/putty/Manifest
index ebc7ae13ace..02885337b77 100644
--- a/net-misc/putty/Manifest
+++ b/net-misc/putty/Manifest
@@ -1,2 +1,3 @@
DIST putty-0.73.tar.gz 2459115 BLAKE2B 594ad1ebd66bdb27ac8d297525c0c5d846f8a15f7c9c5e750da8a57b08367b5c94a9d1439d6a42862e7e7b7a7d7c0dea285e9197fa45651d9eb12757b57e82a7 SHA512 4ada4b8c6d68be44afede2676bc661fedfd1ea0b574b8232ad9aaa6f3a48baa9f4f0ded2955b3f2677a14db85a508f53c965cb00fcd7538a1ed9844031f0c5e5
+DIST putty-0.74.tar.gz 2476513 BLAKE2B 3b3acd8ce1deb5d1659dd2ce77c9e7316e2c639c5f0e962c472b109afc1a54854d30123c4732f9b9e8ba28d9324508894faaa78f3b484c99c0063d1ea2f499b7 SHA512 0da86849ea764cd88643bd2c1984ac7211ae72dd7c41232307b1960a29ca9518044b022d87c60272d6db71a3357026862a112bedb90ee732b41494fca3acde9b
DIST putty-icons.tar.bz2 4878 BLAKE2B 589f1bace82e3fd202b70bd35661d2ec4ef383363f8ae6716d4a6828bd822ef624b0acde39354d3d837e2d2bb49a34dbb89e031c64c520cbc675cad79813acff SHA512 4e419a71e26770e159221f6b516e7210d29272917b4b9a9e0b67c72e73508b97278e56c82111b02e106c5d513c2561fec6da372b4b18246f29372ae618ff5f71
diff --git a/net-misc/putty/putty-0.74.ebuild b/net-misc/putty/putty-0.74.ebuild
new file mode 100644
index 00000000000..07d0f147a34
--- /dev/null
+++ b/net-misc/putty/putty-0.74.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools desktop toolchain-funcs xdg-utils
+
+DESCRIPTION="A Free Telnet/SSH Client"
+HOMEPAGE="https://www.chiark.greenend.org.uk/~sgtatham/putty/"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc +gtk gtk2 ipv6 gssapi"
+SRC_URI="
+ https://dev.gentoo.org/~jer/${PN}-icons.tar.bz2
+ https://the.earth.li/~sgtatham/${PN}/${PV}/${P}.tar.gz
+"
+
+RDEPEND="
+ !net-misc/pssh
+ gtk? (
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf
+ x11-libs/libX11
+ x11-libs/pango
+ gtk2? ( x11-libs/gtk+:2 )
+ !gtk2? ( x11-libs/gtk+:3[X] )
+ )
+ gssapi? ( virtual/krb5 )
+"
+DEPEND="
+ ${RDEPEND}
+ dev-lang/perl
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's|-Werror||g' \
+ configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ cd "${S}"/unix || die
+ econf \
+ $(use_with gssapi) \
+ $(usex gtk --with-gtk= --without-gtk $(usex gtk2 2 3 ) )
+}
+
+src_compile() {
+ emake -C "${S}"/doc
+ emake -C "${S}"/unix AR=$(tc-getAR) $(usex ipv6 '' COMPAT=-DNO_IPV6)
+}
+
+src_install() {
+ dodoc doc/puttydoc.txt
+
+ if use doc; then
+ docinto html
+ dodoc doc/*.html
+ fi
+
+ cd "${S}"/unix || die
+ default
+
+ if use gtk ; then
+ for i in 16 22 24 32 48 64 128 256; do
+ newicon -s ${i} "${WORKDIR}"/${PN}-icons/${PN}-${i}.png ${PN}.png
+ done
+
+ # install desktop file provided by Gustav Schaffter in #49577
+ make_desktop_entry ${PN} PuTTY ${PN} Network
+ fi
+}
+
+pkg_postinst() {
+ use gtk && xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ use gtk && xdg_icon_cache_update
+}